Skip to content
API listRetrieve information
API list

Information retrieval API

API to retrieve the status of purchased eSIM via ICCID

This API retrieves eSIM information, including status, activity history, data usage, etc.

Path Parameters
iccid - requiredstring
Responses
200 OK
application/json
Success
iccidstring
activityLogsobject[]
eidstring
recordTimedatetime
statusNOT_DOWNLOADED | DOWNLOADED | INSTALLED | ENABLED | DISABLED | DELETED
usageInfoListobject[]
usedDatedatetime
usageAmt

number in Bytes

simStatusobject
planStartTimedatetime
planEndTimedatetime
remainingDaysnumber
usedTrafficnumber

Total used capacity, in Bytes

planStatusUNUSED | IN_USE | EXPIRED | UNAVAILABLE
productInfoobject
skustring
spustring
typeeSIM
packageFIXED | DAILY
daysnumber
datastring
apnstring
hotsPotboolean
throttleSpeedstring
smsCallstring
orderInfoobject
orderIdstring
trackIdstring
subOrderIdstring
subTrackIdstring
purchaseDatedatetime
4xx/5xx Error
application/json
Error
timestamptimestamp
statusCodenumber
errorCodestring
messagestring
GET
/api/v1/products/esim/:iccid
Sample Request
Try it on Swagger
Nodejs
PHP
C#
Java
Go
Curl

_35
// Using axios
_35
import axios from 'axios';
_35
_35
const options = {
_35
method: 'GET',
_35
url: 'https://merchant.simplifytrip.com/api/v1/products/esim/89812003916820412483',
_35
headers: {
_35
accept: 'application/json',
_35
'content-type': 'application/json',
_35
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_35
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_35
}
_35
};
_35
_35
axios
_35
.request(options)
_35
.then(res => console.log(res.data))
_35
.catch(err => console.error(err));
_35
_35
// Using fetch api
_35
const url = 'https://merchant.simplifytrip.com/api/v1/products/esim/89812003916820412483';
_35
const options = {
_35
method: 'GET',
_35
headers: {
_35
accept: 'application/json',
_35
'content-type': 'application/json',
_35
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_35
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_35
}
_35
};
_35
_35
fetch(url, options)
_35
.then(res => res.json())
_35
.then(json => console.log(json))
_35
.catch(err => console.error(err));

Sample Response

_42
{
_42
"activityLogs": [
_42
{
_42
"eid": null,
_42
"recordTime": "2025-05-13 22:42:42",
_42
"status": "NOT_DOWNLOADED"
_42
}
_42
],
_42
"usageInfoList": [],
_42
"simStatus": {
_42
"planStartTime": null,
_42
"planEndTime": null,
_42
"remainingDays": 1,
_42
"usedTraffic": 0,
_42
"planStatus": "UNUSED"
_42
},
_42
"iccid": "89812003916820447472",
_42
"orderInfo": {
_42
"orderId": "481989189736539",
_42
"trackId": "2f01814f-d3da-40ae-afd1-79cbd8f789e3",
_42
"subOrderId": "68235a3f02fe66336899c820",
_42
"subTrackId": "18824662-0ba2-4fe5-a22f-b7475755335f",
_42
"purchaseDate": "2025-05-13T14:42:07.069Z"
_42
},
_42
"productInfo": {
_42
"sku": "E23XY06GB08DFX",
_42
"spu": "E23XY",
_42
"name": {
_42
"vi": "eSIM Ấn Độ 06GB tốc độ cao 4G, chỉ có data (6GB - 8 ngày ) ",
_42
"en": "4G high-speed India travel eSIM, data only (6GB - 8 days ) "
_42
},
_42
"type": "eSIM",
_42
"package": "FIXED",
_42
"days": 8,
_42
"data": "6GB",
_42
"apn": "internet",
_42
"hotsPot": true,
_42
"throttleSpeed": "Stop",
_42
"pointContactType": null,
_42
"smsCall": "No"
_42
}
_42
}

API to retrieve SIM card status after data is recharged via ICCID

This API retrieves SIM card information, including status, activity history, data usage, etc.

Path Parameters
iccid - requiredstring
Responses
200 OK
application/json
Success
iccidstring
activityLogsobject[]
eidstring
recordTimedatetime
statusNOT_DOWNLOADED | DOWNLOADED | INSTALLED | ENABLED | DISABLED | DELETED
usageInfoListobject[]
usedDatedatetime
usageAmt

number in Bytes

simStatusobject
planStartTimedatetime
planEndTimedatetime
remainingDaysnumber
usedTrafficnumber

Total used capacity, in Bytes

planStatusUNUSED | IN_USE | EXPIRED | UNAVAILABLE
productInfoobject
skustring
spustring
typeSIM_RECHARGE
packageFIXED | DAILY
daysnumber
datastring
apnstring
hotsPotboolean
throttleSpeedstring
smsCallstring
orderInfoobject
orderIdstring
trackIdstring
subOrderIdstring
subTrackIdstring
purchaseDatedatetime
4xx/5xx Error
application/json
Error
timestamptimestamp
statusCodenumber
errorCodestring
messagestring
GET
/api/v1/products/sim/:iccid
Sample Request
Try it on Swagger
Nodejs
PHP
C#
Java
Go
Curl

_35
// Using axios
_35
import axios from 'axios';
_35
_35
const options = {
_35
method: 'GET',
_35
url: 'https://merchant.simplifytrip.com/api/v1/products/sim/89812003916820412483',
_35
headers: {
_35
accept: 'application/json',
_35
'content-type': 'application/json',
_35
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_35
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_35
}
_35
};
_35
_35
axios
_35
.request(options)
_35
.then(res => console.log(res.data))
_35
.catch(err => console.error(err));
_35
_35
// Using fetch api
_35
const url = 'https://merchant.simplifytrip.com/api/v1/products/sim/89812003916820412483';
_35
const options = {
_35
method: 'GET',
_35
headers: {
_35
accept: 'application/json',
_35
'content-type': 'application/json',
_35
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_35
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_35
}
_35
};
_35
_35
fetch(url, options)
_35
.then(res => res.json())
_35
.then(json => console.log(json))
_35
.catch(err => console.error(err));

Sample Response

_42
{
_42
"activityLogs": [
_42
{
_42
"eid": null,
_42
"recordTime": "2025-05-13 22:42:42",
_42
"status": "NOT_DOWNLOADED"
_42
}
_42
],
_42
"usageInfoList": [],
_42
"simStatus": {
_42
"planStartTime": null,
_42
"planEndTime": null,
_42
"remainingDays": 1,
_42
"usedTraffic": 0,
_42
"planStatus": "UNUSED"
_42
},
_42
"iccid": "89812003916820447472",
_42
"orderInfo": {
_42
"orderId": "481989189736539",
_42
"trackId": "2f01814f-d3da-40ae-afd1-79cbd8f789e3",
_42
"subOrderId": "68235a3f02fe66336899c820",
_42
"subTrackId": "18824662-0ba2-4fe5-a22f-b7475755335f",
_42
"purchaseDate": "2025-05-13T14:42:07.069Z"
_42
},
_42
"productInfo": {
_42
"sku": "E23XY06GB08DFX",
_42
"spu": "E23XY",
_42
"name": {
_42
"vi": "eSIM Ấn Độ 06GB tốc độ cao 4G, chỉ có data (6GB - 8 ngày ) ",
_42
"en": "4G high-speed India travel eSIM, data only (6GB - 8 days ) "
_42
},
_42
"type": "eSIM",
_42
"package": "FIXED",
_42
"days": 8,
_42
"data": "6GB",
_42
"apn": "internet",
_42
"hotsPot": true,
_42
"throttleSpeed": "Stop",
_42
"pointContactType": null,
_42
"smsCall": "No"
_42
}
_42
}